Rekamedika Docs
OAuth Discovery

POST /mcp/register

POST
/api/auth/mcp/register

Register an OAuth2 application

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

redirect_uris*array<string>
token_endpoint_auth_method?string
Default"client_secret_basic"

Value in

  • "none"
  • "client_secret_basic"
  • "client_secret_post"
grant_types?array<>

Default

[  "authorization_code"]
response_types?array<>

Default

[  "code"]
client_name?string
client_uri?string
logo_uri?string
scope?string
contacts?array<string>
tos_uri?string
policy_uri?string
jwks_uri?string
jwks?
metadata?
software_id?string
software_version?string
software_statement?string

Response Body

application/json

curl -X POST "https://example.com/api/auth/mcp/register" \  -H "Content-Type: application/json" \  -d '{    "redirect_uris": [      "string"    ]  }'
{  "name": "string",  "icon": "string",  "metadata": {},  "clientId": "string",  "clientSecret": "string",  "redirectUrls": [    "http://example.com"  ],  "type": "web",  "authenticationScheme": "client_secret",  "disabled": false,  "userId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Is this page helpful?